package jmaki.runtime.config;

public class GlueInclude {
    
    private String url;
    private String lib;
    
    public GlueInclude(String url, String lib) {
    	if (url==null || lib==null)
    		throw new NullPointerException("it's illegal to instantiate GlueInclude with argument url==null or lib==null");
        this.url=url;
        this.lib=lib;
    }
    
    public String getLib() {
        return lib;
    }
    
    public String getURL() {
        return url;
    }
    
    protected void discard() {
    	url=null;
    	lib=null;
    }
    
    public boolean equals(Object obj) {
    	if (obj instanceof GlueInclude)
    		return this.url.equals(((GlueInclude)obj).getURL()) && this.lib.equals(((GlueInclude)obj).getLib());
    	return false;
    }
    
    public int hashCode() {
    	return this.lib.hashCode()+this.url.hashCode();
    }
}