package jmaki.runtime.config;

import java.util.List;

public class Type {
    
    private List libs = null;
    private List styles = null;
    private String preload = null;
    private String postload = null;
    private String apikeytype = null;
    private String id = null;
    // this is set to false on widgets that write to the document in which case
    // we will have the jmaki runtime handle them. If jmaki has loaded it will
    // generate an error message.
    private boolean dynamicallyLoadable = true;
    
    public Type(String id) {
      this.id = id;
    }
    
    public String getId() {
        return id;
    }
    
    public List getLibs() {
        return libs;
    }
    
    public List getStyles() {
        return styles;
    }
    
    public String getPreLoad() {
        return preload;
    }
    
    public String getPostLoad() {
        return postload;
    }
    
    public String getApiKeyType() {
        return apikeytype;
    }
    
    public boolean isDynamicallyLoadable() {
        return dynamicallyLoadable;
    }
    

    protected void setStyles(List s) {
        this.styles = s;
    }
    
    protected void setLibs(List l) {
        this.libs = l;
    }
    
    protected void setPreLoad(String pl) {
        this.preload = pl;
    }
    
    protected void setPostLoad(String pl) {
        this.postload = pl;
    }    
    
    protected void setApiKeyType(String api) {
        this.apikeytype = api;
    }
    
    protected void setDynamicallyLoadable(boolean dynamicallyLoadable) {
        this.dynamicallyLoadable = dynamicallyLoadable;
    }

    protected void discard() {
        apikeytype = null;
        if (libs!=null) libs.clear();
        if (styles!=null) styles.clear();
        postload=null;
        preload=null;
    }
}